#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	numactl
Version		:	2.0.13
Release		:	17.2.0.rel%{?dist}
Summary		:	Library for tuning for Non Uniform Memory Access machines
Group		:	System Environment/Shells

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://www.gnu.org/software/bash/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libtool
BuildRequires	:	automake
BuildRequires	:	autoconf

#-----------------------------------------------------------------------------
%description
Simple NUMA policy support. It consists of a numactl
program to run other programs with a specific NUMA
policy.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE.GPL2 LICENSE.LGPL2.1
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/memhog
%{_bindir}/migspeed
%{_bindir}/migratepages
%{_libdir}/libnuma.so.*
%{_mandir}/man8/*.8.gz

#=============================================================================
%package		devel
Summary		:	Development package for building Applications that use numa

Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Provides development headers for numa library calls

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_includedir}/numacompat1.h
%{_libdir}/libnuma.so
%{_libdir}/pkgconfig/numa.pc
#conlict with man-pages package
%exclude %{_mandir}/man2/move_pages.2.gz
%{_mandir}/man3/numa.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--bindir=%{_bindir}				\
	--libdir=%{_libdir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
